pcre3-dmo (2:8.39-15.1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Oct 2023 15:36:36 +0200

pcre3 (2:8.39-15) unstable; urgency=medium

  * Make currently-important packages optional as pcre3 is obsolete
    (Closes: #1026214)

 -- Matthew Vernon <matthew@debian.org>  Thu, 22 Dec 2022 16:45:21 +0000

pcre3 (2:8.39-14) unstable; urgency=low

  * Relax Depends: of libpcre3-dev to just libc-dev (Closes: #1008714)

 -- Matthew Vernon <matthew@debian.org>  Sat, 02 Apr 2022 14:13:07 +0100

pcre3 (2:8.39-13) unstable; urgency=medium

  * upstream patch fixing CVE-2020-14155 (Closes: #963086)

 -- Matthew Vernon <matthew@debian.org>  Thu, 18 Jun 2020 19:33:56 +0100

pcre3 (2:8.39-12) unstable; urgency=medium

  * Patch from Andrej Shadura <andrew.shadura@collabora.co.uk> to mark one
    more STL symbol as optional (Closes: #923743).

 -- Matthew Vernon <matthew@debian.org>  Thu, 07 Mar 2019 15:30:15 +0000

pcre3 (2:8.39-11) unstable; urgency=medium

  [ Matthias Klose ]
  * Mark 2 STL symbols as optional (Closes: #904008)

  [ Matthew Vernon ]
  * Bump debian/compat to 11 (Closes: #646973)
  * Fixes to debian/rules so package builds with dh compat 11

 -- Matthew Vernon <matthew@debian.org>  Sat, 21 Jul 2018 14:59:04 +0100

pcre3 (2:8.39-10) unstable; urgency=high

  * Update symbols file (Closes: #897834

 -- Matthew Vernon <matthew@debian.org>  Tue, 17 Jul 2018 18:59:42 +0100

pcre3 (2:8.39-9) unstable; urgency=medium

  * Update symbols file (Closes: #888921)

 -- Matthew Vernon <matthew@debian.org>  Sat, 03 Feb 2018 18:27:50 +0000

pcre3 (2:8.39-8) unstable; urgency=medium

  * drive ulimit correctly (Closes: #876299)

 -- Matthew Vernon <matthew@debian.org>  Mon, 04 Dec 2017 05:27:10 +0000

pcre3 (2:8.39-7) unstable; urgency=low

  * increase stack limit before running tests (Closes: #876299)

 -- Matthew Vernon <matthew@debian.org>  Sun, 03 Dec 2017 12:21:44 +0000

pcre3 (2:8.39-6) unstable; urgency=medium

  * patch from Sergei from MariaDB (via Ondřej Surý) to fix stack frame
    size detection (Closes: #878107, #876299)

 -- Matthew Vernon <matthew@debian.org>  Thu, 30 Nov 2017 15:38:57 +0000

pcre3 (2:8.39-5) unstable; urgency=medium

  * patch from Katsuhiko Nishimra to symbols file to fix FTBFS with gcc7
    (Closes: #876046, #853606)

 -- Matthew Vernon <matthew@debian.org>  Tue, 19 Sep 2017 22:10:37 +0100

pcre3 (2:8.39-4) unstable; urgency=low

  * Remove now-deprecated Pre-Depends on multiarch-support (not needed
    since jessie) (Closes: #865987)

 -- Matthew Vernon <matthew@debian.org>  Sun, 23 Jul 2017 16:20:23 +0100

pcre3 (2:8.39-3) unstable; urgency=high

  * CVE-2017-7186: invalid Unicode property lookup may cause denial of
    service (Closes: #858238)

 -- Matthew Vernon <matthew@debian.org>  Tue, 21 Mar 2017 22:03:19 +0000

pcre3 (2:8.39-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2017-6004: crafted regular expression may cause denial of service
    (Closes: #855405)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 Feb 2017 15:56:09 +0100

pcre3 (2:8.39-2) unstable; urgency=low

  * Update symbols file to reflect compilation with gcc6 (Closes: #811969)

 -- Matthew Vernon <matthew@debian.org>  Fri, 19 Aug 2016 09:04:15 +0100

pcre3 (2:8.39-1) unstable; urgency=medium

  [ Ian Jackson ]
  * New upstream version (Closes: #832354).
    - Drop CVE-2016-1283.patch (now in upstream).
    - Adjusted sonames: bumped each minor number where upstream
      bumped theirs.

  [ Matthew Vernon ]
  * Add notes encouraging people to move to pcre2

 -- Matthew Vernon <matthew@debian.org>  Thu, 28 Jul 2016 16:58:55 +0100

pcre3 (2:8.38-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-1283: heap buffer overflow in handling of duplicate named
    groups (Closes: #809706)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Mar 2016 21:05:13 +0100

pcre3 (2:8.38-3) unstable; urgency=low

  * Apply Ubuntu patch from Iain Lane (modified by Graham Inggs) to add
    symbols files (Closes: #767374)

 -- Matthew Vernon <matthew@debian.org>  Sun, 28 Feb 2016 11:24:52 +0000

pcre3 (2:8.38-2) unstable; urgency=low

  * Apply upstream patch to fix workspace overflow for (*ACCEPT) with
    deeply nested parentheses (Closes: #815921)

 -- Matthew Vernon <matthew@debian.org>  Sat, 27 Feb 2016 16:30:35 +0000

pcre3 (2:8.38-1) unstable; urgency=low

  * New upstream version

 -- Matthew Vernon <matthew@debian.org>  Tue, 22 Dec 2015 13:37:39 +0000

pcre3 (2:8.35-8) unstable; urgency=low

  * Remove conflicts with long-vanished pcre{1,2}-dev packages (so new PCRE2 packages can co-exist)

 -- Matthew Vernon <matthew@debian.org>  Sat, 21 Nov 2015 15:35:13 +0000

pcre3 (2:8.35-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix copy-and-paste error in Disable_JIT_on_sparc64.patch.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 02 Nov 2015 18:51:13 +0100

pcre3 (2:8.35-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Disable_JIT_on_sparc64.patch to disable JIT on sparc64. The patch
    no_jit_x32_powerpcspe.patch to disable JIT on powerpcspe was already
    added in 2:8.35-6 (Closes: #765079).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 02 Nov 2015 15:13:16 +0100

pcre3 (2:8.35-7.2) unstable; urgency=low

  * Non-maintainer upload (with maintainer's permission).
  * Add Fix-compiler-crash-misbehaviour-for-zero-repeated-gr.patch.
    Fixes "PCRE Library Stack Overflow Vulnerability" (Upstream bug 1503)
  * Add Fix-compile-time-loop-for-recursive-reference-within.patch.
    Fixes "PCRE Call Stack Overflow Vulnerability" (Upstream bug 1515)
  * Add 794589-information-disclosure.patch.
    Fixes "pcre_exec does not fill offsets for certain regexps" leading to
    information disclosure. (Closes: #794589)
  * Add Fix-bad-compile-for-groups-like-2-0-1999.patch.
    CVE-2015-2325: heap buffer overflow in compile_branch(). (Closes: #781795)
  * Add Fix-bad-compilation-for-patterns-like-1-1-with-forwa.patch.
    CVE-2015-2326: heap buffer overflow in pcre_compile2(). (Closes: #783285)
  * Add Fix-buffer-overflow-for-named-recursive-back-referen.patch.
    CVE-2015-3210: heap buffer overflow in pcre_compile2() /
    compile_regex(). (Closes: #787433)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 Sep 2015 20:04:19 +0200

pcre3 (2:8.35-7.1) unstable; urgency=medium

  * Rename libpcrecpp0 to libpcrecpp0v5. Addresses: #791236.
  * Add Conflict/Replaces to the old library.
  * Add libpcrecpp0v5 symbols file for GCC 5.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 20:23:03 +0200

pcre3 (2:8.35-7) unstable; urgency=medium

  * Apply upstream patch to fix buffer overflow for forward reference
    within backward assertion with excess closing parenthesis
    (Closes: #790000)

 -- Matthew Vernon <matthew@debian.org>  Fri, 26 Jun 2015 08:08:55 +0100

pcre3 (2:8.35-6) unstable; urgency=low

  [ Thorsten Glaser ]
  * Re-add patch disabling JIT on powerpcspe and x32 (Closes: #760327)
  * Add back missing debian/changelog entries for 1:8.35-3.2 and 1:8.36-1

 -- Matthew Vernon <matthew@debian.org>  Sat, 13 Jun 2015 11:45:25 +0100

pcre3 (2:8.35-5) unstable; urgency=low

  * re-enable jit on ppc64el (by dropping the patch that disables it)
    (Closes: #786530)
  * patch from Frederic Bonnard to fix the watch file (Closes: #785726)

 -- Matthew Vernon <matthew@debian.org>  Tue, 26 May 2015 08:27:56 +0100

pcre3 (2:8.35-4) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * Add a libpcre16-3 package with the 16 bit pcre16 library (Closes: 748781).
  * Add a libpcre32-3 package with the 32 bit pcre32 library.

  [ Matthew Vernon ]
  * Adopt this package (Closes: #772994)

 -- Matthew Vernon <matthew@debian.org>  Sat, 07 Mar 2015 19:27:34 +0000

pcre3 (2:8.35-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upstream patch for heap buffer overflow, CVE-2014-8964, taken from
    1:8.36-1 (Closes: #770478)
    Thanks to Salvatore Bonaccorso for the reminder.

 -- Ivo De Decker <ivodd@debian.org>  Sat, 06 Dec 2014 19:58:19 +0100

pcre3 (2:8.35-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update shlibs dependency to 1:8.35 for new symbol introduced in upstream
    version 8.35 (Closes: #767907)
  * Revert upload of upstream version 8.36 to allow this upload to migrate to
    jessie.

 -- Ivo De Decker <ivodd@debian.org>  Sat, 06 Dec 2014 19:21:39 +0100

pcre3 (1:8.36-1) unstable; urgency=medium

  * New upstream release
  * Upped shlibs dependency to 8.35 (Closes: #767903)
  * Upstream patch for heap buffer overflow, CVE-2014-8964 (Closes: #770478)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 24 Nov 2014 22:41:12 +0000

pcre3 (1:8.35-3.2) unstable; urgency=low

  * Non-maintainer upload with maintainer permission.
  * Disable JIT on x32 and powerpcspe (Closes: #760327).

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 12 Nov 2014 14:30:23 +0000

pcre3 (1:8.35-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable build hardening flags (closes: #656008).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 19 Sep 2014 01:48:23 +0000

pcre3 (1:8.35-3) unstable; urgency=medium

  Thanks to Simon McVittie for all of the work on this:

  * Run tests with VERBOSE=1 so we can see the logs for failing tests
    (Closes: #755052)
  * Apply part of upstream r1472 to fix undefined behaviour when parsing
    {n} or {m,n} quantifiers, which causes mis-parsing and test failures
    under gcc 4.9 (Closes: #751828)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 23 Jul 2014 21:19:41 +0100

pcre3 (1:8.35-2) unstable; urgency=medium

  * Build-depends on auto-reconf (Closes: 754540)

 -- Mark Baker <mark@mnb.org.uk>  Sat, 12 Jul 2014 23:03:47 +0100

pcre3 (1:8.35-1) unstable; urgency=medium

  * New upstream release
  * Use dh-autoreconf
  * Disable JIT on ppc64el (Closes: 751390) (Thanks Erwan Prioul)

 -- Mark Baker <mark@mnb.org.uk>  Fri, 11 Jul 2014 19:54:51 +0100

pcre3 (1:8.31-5) unstable; urgency=medium

  * Previous attempt at detecting JIT support didn't work when cross
    compiling. Now runs the host compiler, and doesn't try to run the
    output (Closes: 745222)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 23 Apr 2014 21:00:35 +0100

pcre3 (1:8.31-4) unstable; urgency=medium

  * Enable JIT compilation only on architectures where it is supported -
    fixes FTBFS on ones where it isn't (Closes: 745114)
  * Verbose build logs (Closes: 745069)

 -- Mark Baker <mark@mnb.org.uk>  Fri, 18 Apr 2014 10:06:31 +0100

pcre3 (1:8.31-3) unstable; urgency=medium

  * Enable JIT regex compilation (http://sljit.sourceforge.net/pcre).
    Note that this has no effect by default so should not break anything;
    to use it you need to pass a flag to pcre_compile_regex()
    (Closes: 740954)
  * Changed shlibs:Depends to 8.20 as pcre_free_study() is not in older
    versions (Closes: 743164)

 -- Mark Baker <mark@mnb.org.uk>  Tue, 08 Apr 2014 22:37:58 +0100

pcre3 (1:8.31-2) unstable; urgency=low

  * Build -dev package as Multi-arch: same. Thanks Steve Langasek / Ubuntu
    for the patch (Closes: 696217)

 -- Mark Baker <mark@mnb.org.uk>  Thu, 03 Jan 2013 20:30:05 +0000

pcre3 (1:8.31-1) unstable; urgency=low

  * New upstream release
  * Applied patch from upstream bugzilla #1287 to fix bug where wrong
    value is in re_nsub in some cases (Closes: #686495)

 -- Mark Baker <mark@mnb.org.uk>  Thu, 13 Sep 2012 19:58:45 +0100

pcre3 (1:8.30-5) unstable; urgency=low

  * There is no use in including debug information for the libraries from
    the udeb in the debug package; more importantly, because the
    installation system isn't multiarch, if they are included they result
    in arch specific files in arch independent paths (debug package is
    Multi-arch:same). Removed. (Closes: #670018)

 -- Mark Baker <mark@mnb.org.uk>  Tue, 01 May 2012 22:38:42 +0100

pcre3 (1:8.30-4) unstable; urgency=low

  * Reluctantly using an epoch, as it seems the funny version number with
    extra dots causes problems
  * Bumped standard version to 3.9.3. No changes needed
  * Converted to use new source format / quilt
  * Put back obsolete pcre_info() API that up
  * Don't include pcregrep binary in debug package

  Thanks to Elimar Riesebieter for the conversion to the new source format.

 -- Mark Baker <mark@mnb.org.uk>  Fri, 23 Mar 2012 22:34:54 +0000

pcre3 (8.30..-3) unstable; urgency=low

  * configure: fixed libpcreposix version (this is not the same bug as the
    previous one, though it's in the same few lines)

 -- Mark Baker <mark@mnb.org.uk>  Thu, 22 Mar 2012 19:45:03 +0000

pcre3 (8.30..-2) unstable; urgency=low

  * configure: Correct library version so soname is libpcre.so.3 instead
    of .2 (Closes: #664983)
  * Horrible version number is because of NMU of "8.30.really8.12-1.1";
    this will sort between that and 8.31-1

 -- Mark Baker <mark@mnb.org.uk>  Thu, 22 Mar 2012 17:52:35 +0000

pcre3 (8.30-1) unstable; urgency=low

  * New upstream release (Closes:#664166)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 21 Mar 2012 21:03:39 +0000

pcre3 (8.12-4) unstable; urgency=low

  * Multi-arch support. Thanks Steve Langasek for patch (Closes: 634250)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 18 Jul 2011 21:59:44 +0100

pcre3 (8.12-3) unstable; urgency=low

  * debian/rules: Increased shlib version to 8.10 (Closes: #612942,
    #613227, #613469, #614012, #615019)

 -- Mark Baker <mark@mnb.org.uk>  Sun, 20 Feb 2011 12:46:44 +0000

pcre3 (8.12-2) unstable; urgency=low

  * Include changes from Stéphane's NMU (including fix for bug 581202)
    that were accidentally omitted in previous release.
  * debian/control: -dbg package should be section debug, priority extra

 -- Mark Baker <mark@mnb.org.uk>  Tue, 08 Feb 2011 20:38:49 +0000

pcre3 (8.12-1) unstable; urgency=low

  * New upstream release (Closes: #554242)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 07 Feb 2011 23:53:42 +0000

pcre3 (8.02-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add explicit Breaks to applications using libpcre-ocaml, to allow
    proper upgrades from lenny (Closes: #581202)
  * Add debian/watch
  * Add debian/source/format
  * Remove duplicate fields spotted by Lintian
  * Promote XC-Package-Type field to Package-Type

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Jul 2010 16:05:27 -0400

pcre3 (8.02-1) unstable; urgency=low

  * New upstream release

 -- Mark Baker <mark@mnb.org.uk>  Fri, 07 May 2010 21:18:05 +0100

pcre3 (7.8-3) unstable; urgency=low

  * debian/rules: Install main library in /lib (Closes: 350468, #549608)
  * debian/pcre-config.1: Minor formatting changes (thanks Alexander
    Peslyak) (Closes: 338658)
  * Makefile.am,Makefile.in: Added libpcre.la to LDADD for various things;
    apparently this will make it cross-build successfully (Closes: 492565)
  * debian/control: Added ${misc:Depends} to dependencies for all the
    binary packages
  * debian/rules: Don't ignore errors from make distclean

 -- Mark Baker <mark@mnb.org.uk>  Wed, 07 Oct 2009 00:05:25 +0100

pcre3 (7.8-2) unstable; urgency=low

  * debian/rules: Bumped shlib version to 7.7 because of new feature in
    that version (Closes: #500987)

 -- Mark Baker <mark@mnb.org.uk>  Sun, 05 Oct 2008 17:06:46 +0100

pcre3 (7.8-1) unstable; urgency=low

  * New upstream release

 -- Mark Baker <mark@mnb.org.uk>  Sun, 21 Sep 2008 21:23:00 +0100

pcre3 (7.6-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix heap overflow in the pcre compiler triggered by
    patterns which contain options and multiple branches
    (CVE-2008-2371; Closes: #488919).
  * debian/rules (patch by Bryan Donlan): Update shlibdeps invocation for
    libpcrecpp0 due to new symbols (Closes: #476925).
  * debian/copyright: replace license information with the current license
    information shipped with upstream sources (Closes: #489318).

 -- Nico Golde <nion@debian.org>  Mon, 14 Jul 2008 19:13:11 +0200

pcre3 (7.6-2) unstable; urgency=low

  * pcrecpp.cc: Applied patch from PCRE bugzilla (bug 664) to fix ABI
    breakage (Closes: #463170, #463266, #463413, #464974)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 13 Feb 2008 22:19:35 +0000

pcre3 (7.6-1) unstable; urgency=low

  * New upstream release
  * Ship pcredemo.c in examples directory (Closes: #377587)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 28 Jan 2008 23:01:05 +0000

pcre3 (7.4-1) unstable; urgency=low

  * Build a -dbg package with debug symbols

  Thanks to Sebastian Dröge <slomo@debian.org>,for all of the following:

  * New upstream release (Closes: #453372).
  * debian/control,
    debian/rules:
    + Provide udeb (Closes: #443114). Build depend on debhelper (>= 5.0.22)
      for this.
  * debian/rules:
    + Bump shlibs to >= 7.4 (Closes: #449289).
  * debian/compat:
    + Update debhelper compat level to 5.
  * debian/control:
    + Update Standards-Version to 3.7.3, no additional changes needed.
    + Use ${binary:Version} instead of ${Source-Version} to make package
      binNMU safe.
  * debian/*.files,
    debian/*.install,
    debian/rules:
    + Convert from dh_movefiles to dh_install.
  * debian/*.dirs:
    + Removed, not necessary.

 -- Mark Baker <mark@mnb.org.uk>  Mon,  7 Jan 2008 21:03:34 +0000

pcre3 (7.3-2) unstable; urgency=low

  * Overloaded RE::Init(), for compatibility with PCRE 6.x API (Closes
    #436210). Thanks to Matthias Klose for the patch.
  * Increased shlibdeps from 4.5 to 6.0. 6.0 introduced a new function
    (pcre_compile2) to the API, so anything using that requires at least
    6.0. (Closes #441345)

 -- Mark Baker <mark@mnb.org.uk>  Mon,  7 Jan 2008 21:02:52 +0000

pcre3 (7.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Baker <mark@mnb.org.uk>  Tue, 28 Aug 2007 20:53:39 +0100

pcre3 (7.2-1) unstable; urgency=low

  * New upstream release (Closes: #420280)
  * debian/rules: dummy binary-indep target (Closes: #395730)

 -- Mark Baker <mark@mnb.org.uk>  Fri,  3 Aug 2007 23:06:28 +0100

pcre3 (6.7-1) unstable; urgency=low

  * New upstream release (Closes: #389305)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 25 Sep 2006 23:24:55 +0100

pcre3 (6.4-2) unstable; urgency=low

  * Makefile.in: Install pcrepartial.3 (Closes: #362011)
  * doc/pcreapi.3, doc/pcre_version.3: document pcre_version() as
    returning a const char * not a char * (Closes: #278619)
  * debian/libpcre3-dev.files: install libpcre.pc (Closes: #359662)
  * doc/pcregrep.1: fixed typo (Closes: #310338)
  * debian/control: drop dummy pgrep package (Closes: #247550)

 -- Mark Baker <mark@mnb.org.uk>  Thu, 27 Apr 2006 22:32:06 +0100

pcre3 (6.4-1.1) unstable; urgency=low

  * Split out the C++ library into it's own package libpcrecpp0, as
    discussed in #339250. The C++ library was recently added, no
    package references the C++ library yet.
    Closes: #339250.
  * debian/rules: Remove testsavedregex in clean target.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Nov 2005 07:59:14 +0100

pcre3 (6.4-1) unstable; urgency=low

  * New upstream release (Closes: 333191)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 10 Oct 2005 23:14:53 +0100

pcre3 (6.3-1) unstable; urgency=low

  * New upstream release (Closes: 323761).
  * This includes fix to security issue CAN-2005-2491 (Closes: 324531)

 -- Mark Baker <mark@mnb.org.uk>  Sat, 27 Aug 2005 18:12:22 +0100

pcre3 (5.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correct an alignment error in the pcretest.c test case, which was
    causing build failures on ia64 (closes: #309606).

 -- Steve Langasek <vorlon@debian.org>  Thu, 26 May 2005 05:15:34 +0000

pcre3 (5.0-1) unstable; urgency=low

  * New upstream release (Closes: #295287)
    - compatible, so same soname and package name can be used.
  * Compile with --enable-unicode-properties, a new feature of PCRE 5.0
  * Removed . from description in control file
  * Included patch from Niibe Yutaka for cross building (Closes: #285407)

  Thanks Andreas for the NMU, which this is based on (Closes: #237644, #237265)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 16 Feb 2005 21:47:14 +0000

pcre3 (4.5-1.1) unstable; urgency=low

  * NMU to fix rc-bugs.
  * Update libtool related files to fix build-error on mips, keep original
    config.in, as it is no generated file. (Closes: #237265)
  * pcregrep replaces pgrep. (Closes: #237564)
  * Bump shlibs, pcre 4.5 includes two new functions.
  * Let pgrep's /usr/share/doc symlink point to the package it depends on,
    pcregrep.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 12 Mar 2004 13:23:02 +0100

pcre3 (4.5-1) unstable; urgency=low

  * New upstream release

  Thanks to Andreas Metzler for patches for all the following:

  * doc/pcregrep.1: added newline between synopsis for pcregrep and that
    for zpcregrp (Closes: #197899)
  * debian/control: Change package descriptions (Closes: #209904)
  * debian/rules and others: Renamed pgrep package to pcregrep, to match
    name of binary and avoid confusion with pgrep (which greps for
    processes, and is in the procps package; a dummy pgrep package will
    ease upgrades (Closes: #217076)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 25 Feb 2004 20:49:33 +0000

pcre3 (4.3-4) unstable; urgency=low

  * debian/libpcre3.files: include pcrepattern(3) manpage in libpcre3
    package instead of libpcre3-dev package. This means that anyone using
    a PCRE based application will have the man page available.

 -- Mark Baker <mark@mnb.org.uk>  Thu,  8 Jan 2004 21:19:51 +0000

pcre3 (4.3-3) unstable; urgency=low

  * ltmain.sh: Replaced with standard version from debian libtool package,
    but with Phil Hazel's patch applied (although I suspect his patch
    isn't necessary on debian systems). (Closes: #198147, #198668) I hope.

 -- Mark Baker <mark@mnb.org.uk>  Wed, 25 Jun 2003 21:09:22 +0100

pcre3 (4.3-2) unstable; urgency=low

  * pcretest.c: Cheat at test! Always print 40 instead of the size,
    because the size varies on different architectures, and we don't
    really want to fail the test because of this.

 -- Mark Baker <mark@mnb.org.uk>  Thu, 19 Jun 2003 21:00:39 +0100

pcre3 (4.3-1) unstable; urgency=low

  This release is entirely the work of Andreas Metzler <ametzler@debian.org>.
  Thanks Andreas.

  * new upstream version (Closes: 182570)
  * this version apparently fixes infinite loop bug (Closes: 161184)
  * repacked using debhelper and upstream's Makefile. Switch to libtool's
    versioning scheme, see debian/README.Versioning.libtool for details.
    (Closes: #187371)
  * (however, don't ship .la files, they only give libtool strange ideas, see
    http://lists.debian.org/debian-devel/2003/debian-devel-200304/msg00827.html
    for an example.)
  * changed compile-options to really follow policy 3.5.7
  * debian/control: changed description to say "Perl 5" as Perl 6, when it
    eventually appears, will have yet another different regex syntax
    (Closes: #166939)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 16 Jun 2003 22:11:08 +0100

pcre3 (3.9-1) unstable; urgency=low

  * New upstream version (Closes: #119429, #161424)
  * Added zpcregrep script by Samuel Tardieu (Closes: #36897)
  * doc/pcregrep.1: mention zpcregrep
  * debian/rules: use && in test rule rather than -a option to test, for
    better POSIX compatibility (Closes: #158775)
  * debian/Makefile: build pcretest once with -rpath for doing tests, and
    once without, so that:
  * debian/rules: install pcretest program (Closes: #162998)
  * Don't create or remove /usr/doc/foo symlinks. This means that none of
    the packages have prerms and only libpcre3 has a postinst
  * debian/copyright: corrected to "Debian GNU/Linux"
  * debian/control: standards version updated to 3.5.7.0
  * debian/rules: strip comment and note sections from libraries
  * The result of the last four changes is that it should now be
    lintian-clean apart from one caused by a known bug in lintian (see
    lintian bug #117260) (Closes: #162999)

 -- Mark Baker <mark@mnb.org.uk>  Sat, 26 Oct 2002 18:12:13 +0100

pcre3 (3.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuild with a version of libc6 without a broken atexit() symbol
    (closes: #108597, critical).
  * Add to LD_LIBRARY_PATH rather than clobbering it, to avoid fakeroot
    dying (closes: #108661, #108891).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Aug 2001 20:43:28 +0100

pcre3 (3.4-1) unstable; urgency=low

  * new upstream version (Closes: #93876)

 -- Mark Baker <mark@mnb.org.uk>  Sat, 28 Apr 2001 00:05:22 +0100

pcre3 (3.3-5) unstable; urgency=low

  * debian/rules: install pcregrep as that name (only) rather than as
    pgrep with a symlink called pcregrep. This avoids a name clash with
    the process table grepper also called pgrep.
  * doc/pcregrep.1: change name of program being documented (back) to
    pcregrep.

 -- Mark Baker <mark@mnb.org.uk>  Tue, 23 Jan 2001 23:54:08 +0000

pcre3 (3.3-4) unstable; urgency=low

  * debian/rules: only install config files that are meant to be installed
    in libpcre3-dev package (Closes: #78354)
  * debian/Makefile: distclean target clears up configure output

 -- Mark Baker <mark@mnb.org.uk>  Wed, 29 Nov 2000 23:59:19 +0000

pcre3 (3.3-3) unstable; urgency=low

  * debian/rules: make debian/Makefile executable before trying to run it
    (Closes: #74316)

 -- Mark Baker <mbaker@iee.org>  Sun,  8 Oct 2000 21:18:15 +0100

pcre3 (3.3-2) unstable; urgency=low

  * debian/rules: pgrep should symlink to docs in /usr/doc/libpcre3, not
    /usr/doc/libpcre2
  * debian/rules: manpage pgrep.1.gz should not be installed as executable!
  * debian/rules: pcregrep.1.gz is symlink to pgrep.1.gz
  * doc/pcre-config.1: basic manpage for pcre-config written
  * debian/rules: install pcre-config.1
  * debian/rules: use -isp option to dpkg-gencontrol

 -- Mark Baker <mbaker@iee.org>  Tue, 22 Aug 2000 00:11:54 +0100

pcre3 (3.3-1) unstable; urgency=low

  * new package for pcre 3.x

 -- Mark Baker <mbaker@iee.org>  Sat, 19 Aug 2000 13:44:00 +0000

pcre2 (2.08-1) unstable; urgency=low

  What follows is the changelog from pcre2, up to the point where the pcre3
  package was made.

  * new upstream version (#50386)
  * put -lc after -lpcre when linking libpcreposix (#50046)

 -- Mark Baker <mbaker@iee.org>  Thu, 18 Nov 1999 21:45:14 +0000

pcre2 (2.07-2) unstable; urgency=low

  * debian/rules: use /usr/share/doc and /usr/share/man, as mandated by
    policy 3.1.0
  * debian/postinst: create /usr/doc symlink; don't install library
  * debian/postinst-lib (new file): create /usr/doc symlink and install library
  * debian/prerm: remove /usr/doc symlink
  * debian/rules: install postinst and prerm for all packages; but
    postinst-lib for library package

 -- Mark Baker <mbaker@iee.org>  Sat, 13 Nov 1999 18:57:59 +0000

pcre2 (2.07-1) unstable; urgency=low

  * new upstream version
  * pcre.c, pcre.h: new upstream version is incompatible with old one! I've
    done a nasty hack so that old binaries will still work. Old source won't,
    but at least it won't fail silently so this shouldn't be a major problem.
  * debian/rules: /usr/doc/pgrep should be a link to libpcre2, not libpcre1
    (#42450)

 -- Mark Baker <mbaker@iee.org>  Tue,  3 Aug 1999 23:58:35 +0100

pcre2 (2.05-1) unstable; urgency=low

  * new upstream version (#36776)

 -- Mark Baker <mbaker@iee.org>  Tue, 27 Apr 1999 23:00:25 +0100

pcre2 (2.02-3) unstable; urgency=low

  * pcre.3: removed description of regular expression syntax and semantics
  * pcre.7: new file, containing material removed from above
    (this is so it can be put in the libpcre2 package (#34087)

 -- Mark Baker <mbaker@iee.org>  Fri,  5 Mar 1999 01:08:47 +0000

pcre2 (2.02-2) unstable; urgency=low

  * debian/rules: install copyright in correct location in libpcre2-dev;
    a typo before meant the package wouldn't install
  * debian/shlibs: update to refer to libpcre2 instead of libpcre1

 -- Mark Baker <mbaker@iee.org>  Fri, 29 Jan 1999 00:12:00 +0000

pcre2 (2.02-1) unstable; urgency=low

  * first release of pcre2
  * install source of pgrep (it's small) in /usr/doc/libpcre2-dev/examples

 -- Mark Baker <mbaker@iee.org>  Thu, 28 Jan 1999 00:45:00 +0000

pcre (1.09-2) unstable; urgency=low

  What follows is the changelog from pcre 1, up to the point where the pcre2
  package was made.

  The changes are not that large but the API, and therefore the ABI, are
  changed so version 2 is not compatible.

  * pcreposix.c,pcreposix.h: prefixed function names with pcreposix_
  * pcreposix.h: #defines so un-prefixed names can be used
  * These mean pcre routines will be used instead of the regex library
    built into libc (#22525)
  * debian/shlibs: pcreposix needs libpcre1 >=1.09-2 now
  * debian/rules: it's not pcre 1.01 any more.

 -- Mark Baker <mbaker@iee.org>  Sat, 30 May 1998 16:54:31 +0100

pcre (1.09-1) unstable; urgency=low

  * New upstream version

 -- Mark Baker <mbaker@iee.org>  Sat, 28 Feb 1998 21:29:07 +0000

pcre (1.08-1) unstable; urgency=low

  * New upstream version (new features, so in unstable only)

 -- Mark Baker <mbaker@iee.org>  Sat, 28 Feb 1998 21:29:07 +0000

pcre (1.06-3) unstable; urgency=low

  * Strip pgrep

 -- Mark Baker <mbaker@iee.org>  Sat, 28 Feb 1998 21:29:07 +0000

pcre (1.06-2) unstable; urgency=low

  * Extended description for pgrep
  * Compress manpage
  * Updated standards-version to 2.4.0.0

 -- Mark Baker <mbaker@iee.org>  Mon,  9 Feb 1998 23:56:15 +0000

pcre (1.06-1) unstable; urgency=low

  * New upstream version (bug fixes)

 -- Mark Baker <mbaker@iee.org>  Sun, 25 Jan 1998 22:37:37 +0000

pcre (1.05-2) unstable; urgency=low

  * Remove debian/*~ in clean target
  * Only run ldconfig on "configure"

 -- Mark Baker <mbaker@iee.org>  Wed,  7 Jan 1998 21:14:51 +0000

pcre (1.05-1) unstable; urgency=low

  * New upstream version (bug fixes)

 -- Mark Baker <mbaker@iee.org>  Sat, 27 Dec 1997 11:26:32 +0000

pcre (1.02-1) unstable; urgency=low

  * New upstream version

 -- Mark Baker <mbaker@iee.org>  Sat, 13 Dec 1997 22:01:48 +0000

pcre (1.01-4) unstable; urgency=low

  * Use -fPIC instead of -fpic (identical on i386, but different on other
    architectures like m68k)
  * Nasty trick so pgrep gets the right dependencies whether or not
    libpcre1 is installed

 -- Mark Baker <mbaker@iee.org>  Tue,  2 Dec 1997 17:57:07 +0000

pcre (1.01-3) unstable; urgency=low

  * Apply patch to manpage from Karl Hegbloom
  * Rewritten makefile (copy sent upstream)

 -- Mark Baker <mbaker@iee.org>  Tue, 25 Nov 1997 12:12:05 +0000

pcre (1.01-2) unstable; urgency=low

  * Correct typo (libprce) in debian/rules
  * Use gcc instead of ld in makefile
  * Build static libraries
  * Use shlibdeps instead of hard-coding libc6
  * Use --strip-unneeded when stripping

 -- Mark Baker <mbaker@iee.org>  Fri, 21 Nov 1997 23:52:06 +0000

pcre (1.01-1) unstable; urgency=low

  * Initial debian release

 -- Mark Baker <mbaker@iee.org>  Fri, 21 Nov 1997 20:36:13 +0000
